---
title: Intl.getCanonicalLocales()
slug: Web/JavaScript/Reference/Global_Objects/Intl/getCanonicalLocales
tags:
  - Internationalization
  - Intl
  - JavaScript
  - Method
---
<div>{{JSRef}}</div>

<p>The <strong><code>Intl.getCanonicalLocales()</code></strong> method returns an array containing the canonical locale names. Duplicates will be omitted and elements will be validated as structurally valid language tags.</p>

<div>{{EmbedInteractiveExample("pages/js/intl-getcanonicallocales.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Intl.getCanonicalLocales(locales)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>locales</code></dt>
 <dd>A list of {{jsxref("String")}} values for which to get the canonical locale names.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>An array containing the canonical locale names.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_getCanonicalLocales">Using getCanonicalLocales</h3>

<pre class="brush: js notranslate">Intl.getCanonicalLocales('EN-US'); // ["en-US"]
Intl.getCanonicalLocales(['EN-US', 'Fr']); // ["en-US", "fr"]

Intl.getCanonicalLocales('EN_US');
// RangeError:'EN_US' is not a structurally valid language tag
</pre>

<h2 id="Polyfill">Polyfill</h2>

<p><a href="https://formatjs.io/docs/polyfills/intl-getcanonicallocales">formatjs Intl.getCanonicalLocales polyfill</a></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ES Int Draft', '#sec-intl.getcanonicallocales', 'Intl.getCanonicalLocales')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Intl.getCanonicalLocales")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("NumberFormat.supportedLocalesOf", "Intl.NumberFormat.supportedLocalesOf()")}}</li>
 <li>{{jsxref("DateTimeFormat.supportedLocalesOf", "Intl.DateTimeFormat.supportedLocalesOf()")}}</li>
 <li>{{jsxref("Collator.supportedLocalesOf", "Intl.Collator.supportedLocalesOf()")}}</li>
</ul>
